org.apache.solr.update.processor

## Class ParseNumericFieldUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory
    - - org.apache.solr.update.processor.ParseNumericFieldUpdateProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin, SolrCoreAware
  Direct Known Subclasses:
    ParseDoubleFieldUpdateProcessorFactory, ParseFloatFieldUpdateProcessorFactory, ParseIntFieldUpdateProcessorFactory, ParseLongFieldUpdateProcessorFactory

      public abstract class ParseNumericFieldUpdateProcessorFactory
      extends FieldMutatingUpdateProcessorFactory

  Abstract base class for numeric parsing update processor factories. Subclasses can optionally configure a locale. If no locale is configured, then `Locale.ROOT` will be used. E.g. to configure the French/France locale:

       <processor class="solr.Parse[Type]FieldUpdateProcessorFactory">
         <str name="locale">fr_FR</str>
         [...]
       </processor>

  See `Locale` for a description of acceptable language, country (optional) and variant (optional) values, joined with underscore(s).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `FieldMutatingUpdateProcessorFactory.SelectorParams`

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Locale` | `locale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseNumericFieldUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldMutatingUpdateProcessor.FieldNameSelector` | `getDefaultSelector(SolrCore core)` Returns true if the field doesn't match any schema field or dynamic field, or if the matched field's type is compatible
    `void` | `init(NamedList args)` Handles common initialization related to source fields for constructing the FieldNameSelector to be used.
    `protected abstract boolean` | `isSchemaFieldTypeCompatible(FieldType type)` Returns true if the given FieldType is compatible with this parsing factory.

    - ### Methods inherited from class org.apache.solr.update.processor.FieldMutatingUpdateProcessorFactory

      `getSelector, inform, parseSelectorExclusionParams, parseSelectorParams`

    - ### Methods inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locale

          protected Locale locale

  - ### Constructor Detail

    - #### ParseNumericFieldUpdateProcessorFactory

          public ParseNumericFieldUpdateProcessorFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Description copied from class: `FieldMutatingUpdateProcessorFactory`
      Handles common initialization related to source fields for constructing the FieldNameSelector to be used. Will error if any unexpected init args are found, so subclasses should remove any subclass-specific init args before calling this method.
      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `FieldMutatingUpdateProcessorFactory`

    - #### isSchemaFieldTypeCompatible

          protected abstract boolean isSchemaFieldTypeCompatible(FieldType type)

      Returns true if the given FieldType is compatible with this parsing factory.

    - #### getDefaultSelector

          public FieldMutatingUpdateProcessor.FieldNameSelector getDefaultSelector(SolrCore core)

      Returns true if the field doesn't match any schema field or dynamic field, or if the matched field's type is compatible
      Overrides:
        `getDefaultSelector` in class `FieldMutatingUpdateProcessorFactory`
      Parameters:
        `core` - Where to get the current schema from
      See Also:
        `FieldMutatingUpdateProcessor.SELECT_ALL_FIELDS`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.